Name:           wyrd
Version:        1.4.5
Release:        2%{?dist}
Summary:        A ncurses frontend for the calendar application remind

Group:          Applications/Productivity
License:        GPLv2
URL:            http://pessimization.com/software/wyrd/
Source0:        http://pessimization.com/software/wyrd/wyrd-%{version}.tar.gz
Source1:        wyrd-wyrdrc.local

Patch0:         wyrd-1.4.3-wyrdrc-local.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExcludeArch:    sparc64 s390 s390x

BuildRequires:  ocaml remind ncurses-devel
BuildRequires:  ocaml-camlp4-devel
Requires:       remind

%description
wyrd is a ncurses frontend for the calendar application remind.


%prep
%setup -q
%patch0 -p1 -b .wyrdrc-local


%build
%configure --enable-utf8
# parallel make disabled because of:
# https://bugs.launchpad.net/bugs/691827
#make %{?_smp_mflags}
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install --mode 0644 -D %SOURCE1 $RPM_BUILD_ROOT/%{_sysconfdir}/wyrdrc.local


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog doc/TODO doc/manual.pdf doc/manual.html
%config %{_sysconfdir}/wyrdrc
%config(noreplace) %{_sysconfdir}/wyrdrc.local
%{_bindir}/wyrd
%{_mandir}/man1/wyrd.1*
%{_mandir}/man5/wyrdrc.5*


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 18 2010 Till Maas <opensource@till.name> - 1.4.5-1
- Update to new release
- disable parallel make: https://bugs.launchpad.net/bugs/691827

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 16 2009 S390x secondary arch maintainer <fedora-s390x@lists.fedoraproject.org>
- ExcludeArch sparc64, s390, s390x as we don't have OCaml on those archs
  (added sparc64 per request from the sparc maintainer)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 09 2008 Till Maas <opensource@till.name> - 1.4.4-3
- Add Requires: remind

* Tue Jul 08 2008 Till Maas <opensource@till.name> - 1.4.4-2
- fix BuildRequires, camlp4 is not needed/supported as BR anymore

* Fri Feb 22 2008 Till Maas <opensource till name> - 1.4.4-1
- update to latest version that fixes CVE-2008-0806 in a different way
- update URL/SOURCE to new location
- remove ExcludeArch, because ocaml is now available for ppc64

* Thu Feb 21 2008 Till Maas <opensource till name> - 1.4.3b-1
- update to latest version
- include patch from debian to fix CVE-2008-0806

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4.3-4
- Autorebuild for GCC 4.3

* Sun Oct 21 2007 Till Maas <opensource till name> - 1.4.3-3
- fix permissions of local config file
- use globbing for manpages (the may not be gzipped)
- add ExludeArch ppc64

* Tue Aug 28 2007 Till Maas <opensource till name> - 1.4.3-2
- Fix BuildRequires for F8

* Sat Aug 18 2007 Till Maas <opensource till name> - 1.4.3-1
- initial spec for Fedora
